Bug 1252757 - [RHEL-7.2-qmu-kvm] Package is 100% lost when ping from host to Win2012r2 guest with 64000 size
[RHEL-7.2-qmu-kvm] Package is 100% lost when ping from host to Win2012r2 gues...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.2
x86_64 Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Vlad Yasevich
Virtualization Bugs
:
Depends On: 1251379 1262866
Blocks: 1288337
  Show dependency treegraph
 
Reported: 2015-08-12 04:24 EDT by xiagao
Modified: 2016-11-03 16:00 EDT (History)
13 users (show)

See Also:
Fixed In Version: qemu-kvm-1.5.3-106.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1251379
Environment:
Last Closed: 2016-11-03 16:00:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 xiagao 2015-08-12 04:26:59 EDT
Version-Release number of selected component:
kernel-devel-3.10.0-229.12.1.el7_1.1246514.x86_64
qemu-kvm-1.5.3-86.el7_1.6.x86_64
Comment 3 xiagao 2015-08-13 02:06:57 EDT
Version-Release number of selected component:

qemu-kvm-1.5.3-98.el7.x86_64
kernel-3.10.0-302.el7.x86_64
Comment 4 Vlad Yasevich 2015-09-14 09:39:53 EDT
Moving to 7.3.  This is not a regression or a blocker, since the bug is has been
since there since before qemu-0.12.
Comment 6 Miroslav Rezanina 2016-01-13 06:16:50 EST
Fix included in qemu-kvm-1.5.3-106.el7
Comment 8 weliao 2016-05-17 01:46:02 EDT
Reproduce on below version:
3.10.0-378.el7.x86_64
qemu-kvm-1.5.3-105.el7.x86_64

Test steps:
1.launch a win2012r2 guest with rtl8139 NIC.
/usr/libexec/qemu-kvm     -S      -name 'virt-tests-vm1'      -sandbox off      -machine pc      -nodefaults      -vga std      -chardev socket,id=qmp_id_qmpmonitor1,path=/tmp/monitor-qmpmonitor1-20150807-143123-2OZwwnr3,server,nowait     -mon chardev=qmp_id_qmpmonitor1,mode=control      -chardev socket,id=qmp_id_catch_monitor,path=/tmp/monitor-catch_monitor-20150807-143123-2OZwwnr3,server,nowait     -mon chardev=qmp_id_catch_monitor,mode=control      -chardev socket,id=serial_id_serial0,path=/tmp/serial-serial0-20150807-143123-2OZwwnr3,server,nowait     -device isa-serial,chardev=serial_id_serial0      -chardev socket,id=seabioslog_id_20150807-143123-2OZwwnr3,path=/tmp/seabios-20150807-143123-2OZwwnr3,server,nowait     -device isa-debugcon,chardev=seabioslog_id_20150807-143123-2OZwwnr3,iobase=0x402     -device ich9-usb-uhci1,id=usb1,bus=pci.0,addr=03     -device virtio-scsi-pci,id=virtio_scsi_pci0,bus=pci.0,addr=04     -drive id=drive_image1,if=none,cache=none,snapshot=off,aio=native,format=qcow2,file=/home/win2012-64r2-virtio.qcow2    -device virtio-blk-pci,id=image1,drive=drive_image1,bootindex=0,bus=pci.0,addr=13 -device rtl8139,netdev=macvtap0,mac=32:d7:63:b5:a9:54,id=net1 -netdev tap,id=macvtap0,vhost=on     -m 8192      -smp 8,maxcpus=8,cores=4,threads=1,sockets=2      -cpu 'SandyBridge',+kvm_pv_unhalt,hv_spinlocks=0x1fff,hv_vapic,hv_time       -device usb-tablet,id=usb-tablet1,bus=usb1.0,port=1      -vnc :0      -rtc base=localtime,clock=host,driftfix=slew      -boot order=cdn,once=c,menu=off,strict=off     -enable-kvm     -monitor stdio
2.ping guest from host with 63000/64000 size.

[root@dhcp-8-118 qemu105]#  ping 10.66.10.224 -s 63000
PING 10.66.10.224 (10.66.10.224) 63000(63028) bytes of data.
63008 bytes from 10.66.10.224: icmp_seq=34 ttl=128 time=3.21 ms
63008 bytes from 10.66.10.224: icmp_seq=35 ttl=128 time=2.59 ms
63008 bytes from 10.66.10.224: icmp_seq=36 ttl=128 time=2.33 ms

[root@dhcp-8-118 qemu105]#  ping 10.66.10.224 -s 64000
PING 10.66.10.224 (10.66.10.224) 64000(64028) bytes of data.
From 10.66.10.224 icmp_seq=1 Frag reassembly time exceeded
From 10.66.10.224 icmp_seq=2 Frag reassembly time exceeded
From 10.66.10.224 icmp_seq=3 Frag reassembly time exceeded
63000 fine, 64000 failed, so reproduced.

---------------------------------------
Verify this bug with below version:
3.10.0-378.el7.x86_64
qemu-kvm-1.5.3-109.el7.x86_64

The same test steps:
[root@dhcp-8-118 qemu109]#  ping 10.66.10.224 -s 63000
PING 10.66.10.224 (10.66.10.224) 63000(63028) bytes of data.
63008 bytes from 10.66.10.224: icmp_seq=33 ttl=128 time=3.22 ms

[root@dhcp-8-118 qemu109]#  ping 10.66.10.224 -s 64000
PING 10.66.10.224 (10.66.10.224) 64000(64028) bytes of data.
64008 bytes from 10.66.10.224: icmp_seq=1 ttl=128 time=2.62 ms
64008 bytes from 10.66.10.224: icmp_seq=2 ttl=128 time=2.35 ms

63000 and 64000 byte size all fine, so this bug fix well.
Comment 11 errata-xmlrpc 2016-11-03 16:00:51 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2585.html

Note You need to log in before you can comment on or make changes to this bug.